Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/calcul/G4NuMuXQ2Integration.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/calcul/G4NuMuXQ2Integration.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/calcul/G4NuMuXQ2Integration.cc	(revision 962)
@@ -62,43 +62,40 @@
   else
   {
-		  double r=0.;
-    double max=1.;
-    double H=1.22;
-    if(A==1)                   // Proton
-		  {
-      r=std::sqrt(Q2/1.66);
-      max=.5;
-    }
-    else if(A<13)              // Light nuclei
-		  {
-      double f=Q2/4.62;
-      r=f*f;
-      max=.3;
-      if(A>2) H=1.;
-    }
-    else if(A>0)               // Heavy nuclei
-		  {
-      double f=Q2/3.4;
-      double ff=f*f;
-      r=ff*ff;
-      max=.5;
-      H=1.;
-    }
-    else G4cout<<"strucf: A="<<A<<" <= 0"<< G4endl;
+		  //double r=0.;
+    double min=.077;             // Delta(0)
+				double max=.47;              // Hard Pomeron
+    //double H=1.22;
+    if(Q2<=0.) G4cout<<"strucf: Q2="<<Q2<<" <= 0"<< G4endl;
+    double Q=std::sqrt(Q2);
+    //if(A==1)                   // Proton
+		  //{
+    //  r=std::sqrt(Q2/1.66);
+    //  max=.5;
+    //}
+    //else if(A<13)              // Light nuclei
+		  //{
+    //  double f=Q2/4.62;
+    //  r=f*f;
+    //  max=.3;
+    //  if(A>2) H=1.;
+    //}
+    //else if(A>0)               // Heavy nuclei
+		  //{
+    //  double f=Q2/3.4;
+    //  double ff=f*f;
+    //  r=ff*ff;
+    //  max=.5;
+    //  H=1.;
+    //}
+    //else G4cout<<"strucf: A="<<A<<" <= 0"<< G4endl;
     //
     N=3.+.3581*std::log(1.+Q2/.04); // a#of partons in the nonperturbative phase space
-    Del=(1.+r)/(12.5+r/max);
-    double S=std::pow(1.+.6/Q2,-1.-Del);
-    D=H*S*(1.-.5*S);
+    Del=min+(max-min)/(1.+5./Q);
+    D=0.68*std::pow(1.+.145/Q2,-1.-Del); // 0.68=1-0.34, m2=.145 GeV2
     V=3*(1.-D)*(N-1.);
-    double cc=Q2/.08;
-    double cc2=cc*cc;
-    //double C=(1.+cc2)/(1.+cc2/.24);              // Weak?
-    double C=(1.+cc2)/(1.+cc2/.24)/(1.+Q2/21.6); // EM
-    double c3=C+C+C;
+    double c3=.75;                       // 3*0.25
     double uu=std::exp(lGam(N-Del)-lGam(N-1.)-lGam(1.-Del))/N;
     U2=(c3+N-3.)*uu;
     U3=c3*uu;
-    //UU=uu+uu+uu; // @@
     mA  = A;
     mQ2 = Q2;
@@ -125,5 +122,5 @@
   //else
   xf3= U3*pp+dir;
-  fL = per/4.;
+  fL = per/5.;                             // 20%
   return;
 }
@@ -157,5 +154,5 @@
   const double sik=GF2*hc2/pif; // precalculated coefficient
   //const double mpi=.1349766;    // pi0 meson mass in GeV
-  const double mpi=.13957018;   // charged pi meson mass in GeV
+  //const double mpi=.13957018;   // charged pi meson mass in GeV
   //const double mpi2=mpi*mpi;    // m_pi^2 in GeV^2
   //const double me=.00051099892; // electron mass in GeV
@@ -168,10 +165,10 @@
   //const double mtau2=mtau*mtau; // m_tau^2 in GeV^2
   //const double hmtau2=mtau2/2;  // .5*m_e^2 in GeV^2
-  //const double mp=.93827203;    // proton mass in GeV
-  //const double mn=.93956536;    // neutron mass in GeV
+  const double mp=.93827203;    // proton mass in GeV
+  const double mn=.93956536;    // neutron mass in GeV
   //const double md=1.87561282;   // deuteron mass in GeV
-  const double MN=.931494043;   // Nucleon mass (inside nucleus, atomic mass unit, GeV)
-  //const double MN=(mn+mp)/2;    // Nucleon mass (mean free) in GeV
-  //const double MD=1.232;        // proton mass in GeV
+  //const double MN=.931494043;   // Nucleon mass (inside nucleus, atomic mass unit, GeV)
+  const double MN=(mn+mp)/2;    // Nucleon mass (mean free) in GeV
+  const double MD=1.232;        // proton mass in GeV
   //const double mp2=mp*mp;       // m_p^2 in GeV^2
   const double MN2=MN*MN;       // M_N^2 in GeV^2
@@ -184,5 +181,6 @@
   //
   //const double mc=.3;           // parameter of W>M+mc cut for Quasi-Elastic/Delta
-  const double mc=mpi;          // parameter of W>M+mc cut for Quasi-Elastic/Delta
+  const double mc=std::sqrt((MN*MN+MD*MD)/2)-MN; // Squared mean between N and \Delta
+  //const double mc=mpi;          // parameter of W>M+mc cut for Quasi-Elastic/Delta
   const double mcV=(dMN+mc)*mc; // constant of W>M+mc cut for Quasi-Elastic
   //std::ofstream fileNuMuX("NuMuXQ2.out", std::ios::out);
@@ -198,6 +196,6 @@
   int    A=12;                    // Neucleus for which calculations should be done
   double lEnuMin=0;               // LogLog of Minimum energy of neutrino
-  double lEnuMax=std::log(1.+std::log(300./EminMu)); // LogLog of Maximum energy of neutrino
-  int    nE=31;
+  double lEnuMax=std::log(1.+std::log(300./EminMu)); // LogLog of MaximumEnergy of neutrino
+  int    nE=49;                   // Number of points
   double dlE=(lEnuMax-lEnuMin)/nE;
   lEnuMin+=dlE/10;
@@ -241,5 +239,5 @@
         double dik=MW4/Q2M/Q2M;
         double qmc=Q2+mcV;
-        double lXQES=std::log((std::sqrt(qmc*qmc+Q2*fMN2)-qmc)/dMN2); // Quasielastic boundary
+        double lXQES=std::log((std::sqrt(qmc*qmc+Q2*fMN2)-qmc)/dMN2);//QuasielasticBoundary
         //double lXQES=log(Q2/(Q2+mcV)); // Quasielastic boundary (W=MN+m_c)
         //double xN=Q2/dME;
@@ -248,5 +246,5 @@
         double lXmin=std::log(xN);
         // ****** QE ********
-        //if(lXQES>lXmin) lXmin=lXQES;   // A cut which leaves only QES
+        if(lXQES>lXmin) lXmin=lXQES;   // A cut which leaves only QES >>>>>>>>>>>>>>>>
         // *** End of QE^^^^^
         double lXmax=0.;               // QES is in DIS
@@ -262,6 +260,7 @@
 				      {
             getFun(A, lX, Q2, f);
-            DISxint+=f[0]+f[0]+xN*(f[1]+f[1]+xN*f[3]); // neutrino
-            //DISxint+=f[0]+f[0]+xN*(f[2]+f[2]+xN*f[4]); // anti-neutrino
+            // ***** Neutrino/Antineutrino switch ******>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+            //DISxint+=f[0]+f[0]+xN*(f[1]+f[1]+xN*f[3]); // neutrino
+            DISxint+=f[0]+f[0]+xN*(f[2]+f[2]+xN*f[4]); // anti-neutrino
             //G4cout<<f[0]<<","<<f[1]<<","<<f[2]<<","<<f[3]<<","<<f[4]<<G4endl;
           }
@@ -279,5 +278,8 @@
     //===== tot/qe choice ====
     DIStsig*=sik/Enu;
-    G4cout<<"***total*** E="<<Enu<<",sig/E="<<DIStsig<<G4endl;
+    //G4cout<<"***total-neutrino*** E="<<Enu<<" ,sig/E="<<DIStsig<<G4endl;
+    G4cout<<"***total-antineutrino*** E="<<Enu<<" ,sig/E="<<DIStsig<<G4endl;
+    //G4cout<<"***quasiel-nu*** E="<<Enu<<" ,sig/E="<<DIStsig<<G4endl;
+    //G4cout<<"***quasiel-antinu*** E="<<Enu<<" ,sig/E="<<DIStsig<<G4endl;
     //...................
     //DIStsig*=sik;
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/History
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/History	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/History	(revision 962)
@@ -13,9 +13,62 @@
      ---------------------------------------------------------------
 
-07-May-2008 Gabriele Cosmo             (hadr-chips-inter-V09-00-13)
+06-Feb-2009 V.Ivanchenko (hadr-chips-inter-V09-02-01)
+------------------------------------------------------
+
+23-Jan-2009 V.Ivanchenko (hadr-chips-inter-V09-02-00)
+------------------------------------------------------
+- added deregistration in destructor of G4QCaptureAtRest
+- added string decay destruction to G4ElectroNuclearReaction
+
+24-Oct-2008 Dennis Wright (hadr-chips-inter-V09-01-09)
+------------------------------------------------------
+- replace G4NucleiPropertiesTable::IsInTable with 
+  G4NucleiProperties::IsInStableTable in G4QElectronNuclearCrossSection,
+  G4QMuonNuclearCrossSection, G4QPhotonNuclearCrossSection, 
+  G4QTauNuclearCrossSection
+
+ 2-Oct-2008 Dennis Wright (hadr-chips-inter-V09-01-08)
+------------------------------------------------------
+- change process type integer from 15 to fHadronAtRest for 
+  G4PionMinusNuclearAtRestChips, G4ProtonAntiProtonAtRestChips, 
+  G4QCaptureAtRest
+
+- change process type integer from 16 to enum fChargeExchange for 
+  G4QCoherentChargeExchange
+
+- change process type integer from 12 to enum fHadronInelastic for 
+  G4QCollision, G4QDiffraction, G4QGluonString, G4QLowEnergy
+
+- change process type integer from 11 to fHadronElastic for 
+  G4QElastic, G4QIonIonElastic
+
+- remove process type from G4QAtomicElectronScattering, 
+  G4QDiscProcessMixer.cc
+
+ 1-Sep-2008 Vladimir Ivanchenko        (hadr-chips-inter-V09-01-07)
 -------------------------------------------------------------------
-- Tag for release 9.1.p02.
+G4QCaptureAtRest - added registration in G4HadronicProcessStore
+                   and PrintInfo by adding PreparePhysicsTable and 
+	           BuildPhysicsTable
+G4GammaNuclearReaction - moved implementations from header to source 
+                         and added name "CHIPS"
+G4ElectroNuclearReaction - moved instantiation of HE model to 
+                         constructor from run time and added name "CHIPS"
 
-06-May-2008 Dennis Wright              (hadr-chips-inter-V09-01-05)
+ 8-Jul-2008 Dennis Wright              (hadr-chips-inter-V09-01-06)
+-------------------------------------------------------------------
+- add G4QIonIonElastic from HEAD
+- add general process type, fHadronic to several processes
+- set process sub-type to 11 (elastic) for G4QElastic, G4QIonIonElastic
+- set process sub-type to 12 (inelastic) for G4QCollision, G4QDiffraction,
+    G4QGluonString, G4QLowEnergy
+- set process sub-type to 13 (capture) for G4QCaptureAtRest
+- set process sub-type to 15 (stopping) for G4PionMinusNuclearAtRestChips,
+    G4ProtonAntiProtonAtRestChips
+- set process sub-type to 16 (quasi-elastic) for G4QCoherentChargeExchange
+- set process sub-type to 10 (unknown) for G4QAtomicElectronScattering,
+    G4QDiscProcessMixer
+
+ 6-May-2008 Dennis Wright              (hadr-chips-inter-V09-01-05)
 -------------------------------------------------------------------
 - replace max-- with --max at lines 1191, 1195, 1197 of G4Collison.cc
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ChiralInvariantPhaseSpace.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ChiralInvariantPhaseSpace.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ChiralInvariantPhaseSpace.hh	(revision 962)
@@ -25,5 +25,5 @@
 //
 #ifndef G4ChiralInvariantPhaseSpace_h
-#define G4ChiralInvariantPhaseSpace_h
+#define G4ChiralInvariantPhaseSpace_h 1
 
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ElectroNuclearReaction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ElectroNuclearReaction.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ElectroNuclearReaction.hh	(revision 962)
@@ -26,6 +26,6 @@
 //
 //
-// $Id: G4ElectroNuclearReaction.hh,v 1.23 2006/06/29 20:07:46 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4ElectroNuclearReaction.hh,v 1.26 2009/01/24 11:57:46 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
@@ -35,5 +35,5 @@
 //
 #ifndef G4ElectroNuclearReaction_h
-#define G4ElectroNuclearReaction_h
+#define G4ElectroNuclearReaction_h 1
 
 #include "globals.hh"
@@ -42,44 +42,57 @@
 #include "G4ElectroNuclearCrossSection.hh"
 #include "G4PhotoNuclearCrossSection.hh"
+#include "G4GammaParticipants.hh"
+#include "G4QGSModel.hh"
+#include "G4QGSMFragmentation.hh"
+#include "G4Nucleus.hh"
+#include "G4HadFinalState.hh"
+#include "G4HadProjectile.hh"
 #include "G4Electron.hh"
 #include "G4Positron.hh"
 #include "G4Gamma.hh"
-#include "G4GammaParticipants.hh"
-#include "G4QGSModel.hh"
 #include "G4TheoFSGenerator.hh"
 #include "G4GeneratorPrecompoundInterface.hh"
-#include "G4QGSMFragmentation.hh"
 #include "G4ExcitedStringDecay.hh"
-
+ 
 class G4ElectroNuclearReaction : public G4HadronicInteraction
 {
-  public: 
-    virtual ~G4ElectroNuclearReaction(){}
-    G4ElectroNuclearReaction()
-    {
-      SetMinEnergy(0*GeV);
-      SetMaxEnergy(30*TeV);
+public: 
+
+  G4ElectroNuclearReaction():G4HadronicInteraction("CHIPS")
+  {
+    SetMinEnergy(0*GeV);
+    SetMaxEnergy(30*TeV);
       
-      theHEModel = new G4TheoFSGenerator;
-      theCascade = new G4GeneratorPrecompoundInterface;
-    }
+    theHEModel = new G4TheoFSGenerator;
+    theCascade = new G4GeneratorPrecompoundInterface;
+    theHEModel->SetTransport(theCascade);
+    theHEModel->SetHighEnergyGenerator(&theStringModel);
+    theStringDecay = new G4ExcitedStringDecay(&theFragmentation);
+    theStringModel.SetFragmentationModel(theStringDecay);
+    theHEModel->SetMinEnergy(2.5*GeV);
+    theHEModel->SetMaxEnergy(100*TeV);
+  }
+
+  virtual ~G4ElectroNuclearReaction() {delete  theStringDecay;};
     
-    virtual G4HadFinalState* ApplyYourself(const G4HadProjectile& aTrack, 
-    G4Nucleus& aTargetNucleus);
-
-  private:
-    G4ChiralInvariantPhaseSpace theLEModel;
-    G4TheoFSGenerator * theHEModel;
-    G4GeneratorPrecompoundInterface * theCascade;
-    G4QGSModel< G4GammaParticipants > theStringModel;
-    G4QGSMFragmentation theFragmentation;
-    G4ExcitedStringDecay * theStringDecay;
-    G4ElectroNuclearCrossSection theElectronData;
-    G4PhotoNuclearCrossSection thePhotonData;
-    G4HadFinalState theResult;
+  G4HadFinalState* ApplyYourself(const G4HadProjectile& aTrack, 
+				 G4Nucleus& aTargetNucleus);
+
+private:
+
+  G4ChiralInvariantPhaseSpace theLEModel;
+  G4TheoFSGenerator * theHEModel;
+  G4GeneratorPrecompoundInterface * theCascade;
+  G4QGSModel< G4GammaParticipants > theStringModel;
+  G4QGSMFragmentation theFragmentation;
+  G4ExcitedStringDecay * theStringDecay;
+  G4ElectroNuclearCrossSection theElectronData;
+  G4PhotoNuclearCrossSection thePhotonData;
+  G4HadFinalState theResult;
 };
 
-inline G4HadFinalState* G4ElectroNuclearReaction::
-ApplyYourself(const G4HadProjectile& aTrack, G4Nucleus& aTargetNucleus)
+inline   
+G4HadFinalState* G4ElectroNuclearReaction::ApplyYourself(const G4HadProjectile& aTrack, 
+							 G4Nucleus& aTargetNucleus)
 {
   theResult.Clear();
@@ -198,11 +211,4 @@
   {
     // G4cout << "0) Getting a high energy electro-nuclear reaction"<<G4endl;
-    theHEModel->SetTransport(theCascade);
-    theHEModel->SetHighEnergyGenerator(&theStringModel);
-    theStringDecay = new G4ExcitedStringDecay(&theFragmentation);
-    theStringModel.SetFragmentationModel(theStringDecay);
-    theHEModel->SetMinEnergy(2.5*GeV);
-    theHEModel->SetMaxEnergy(100*TeV);
-
     G4HadFinalState * aResult = theHEModel->ApplyYourself(localTrack, aTargetNucleus);
     for(G4int all = 0; all < aResult->GetNumberOfSecondaries(); all++)
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4GammaNuclearReaction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4GammaNuclearReaction.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4GammaNuclearReaction.hh	(revision 962)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4GammaNuclearReaction.hh,v 1.13 2006/06/29 20:07:48 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4GammaNuclearReaction.hh,v 1.14 2008/09/01 17:30:42 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
@@ -32,37 +32,30 @@
 // Created: J.P. Wellisch, 2000/08/18 
 // The last update: J.P. Wellisch, Thu Jun  6 2002.
+// 01.09.2008 V.Ivanchenko move inline to source and define interaction name
 //
+
 #ifndef G4GammaNuclearReaction_h
-#define G4GammaNuclearReaction_h
+#define G4GammaNuclearReaction_h 1
 
 #include "globals.hh"
 #include "G4HadronicInteraction.hh"
 #include "G4ChiralInvariantPhaseSpace.hh"
-#include "G4Gamma.hh"
 
 class G4GammaNuclearReaction : public G4HadronicInteraction
 {
-  public: 
-    virtual ~G4GammaNuclearReaction()
-    {
-    }
+public: 
+
+  G4GammaNuclearReaction();
+
+  virtual ~G4GammaNuclearReaction();
     
-    virtual G4HadFinalState* ApplyYourself(const G4HadProjectile& aTrack, 
-    G4Nucleus& aTargetNucleus);
+  virtual G4HadFinalState* ApplyYourself(const G4HadProjectile& aTrack, 
+					 G4Nucleus& aTargetNucleus);
 
-  private:
-    G4ChiralInvariantPhaseSpace theModel;
+private:
+
+  G4ChiralInvariantPhaseSpace theModel;
+
 };
 
-inline
-G4HadFinalState * G4GammaNuclearReaction::
-ApplyYourself(const G4HadProjectile& aTrack, G4Nucleus& aTargetNucleus)
-{
-  if(aTrack.GetDefinition() != G4Gamma::GammaDefinition())
-  {
-    throw G4HadronicException(__FILE__, __LINE__, "Called G4GammaNuclearReaction for particle other than gamma");
-  }
-  return theModel.ApplyYourself(aTrack, aTargetNucleus);
-}
-
 #endif
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4PionMinusNuclearAtRestChips.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4PionMinusNuclearAtRestChips.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4PionMinusNuclearAtRestChips.hh	(revision 962)
@@ -32,4 +32,5 @@
 #include "G4PionMinus.hh"
 #include "G4ChiralInvariantPhaseSpace.hh"
+#include "G4HadronicProcessType.hh"
 
 class G4PionMinusNuclearAtRestChips : public G4VRestProcess
@@ -43,5 +44,8 @@
  
      G4PionMinusNuclearAtRestChips(const G4String& processName ="PionMinusAnnihilationAtRest")
-      : G4VRestProcess (processName) {}
+      : G4VRestProcess (processName, fHadronic) 
+     {
+       SetProcessSubType(fHadronAtRest);
+     }
  
     ~G4PionMinusNuclearAtRestChips() {}
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ProtonAntiProtonAtRestChips.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ProtonAntiProtonAtRestChips.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ProtonAntiProtonAtRestChips.hh	(revision 962)
@@ -39,4 +39,5 @@
 #include "G4StopElementSelector.hh"
 #include "G4ChiralInvariantPhaseSpace.hh"
+#include "G4HadronicProcessType.hh"
 
 class G4ProtonAntiProtonAtRestChips : public G4VRestProcess
@@ -50,5 +51,8 @@
  
      G4ProtonAntiProtonAtRestChips(const G4String& processName ="AntiProtonAnnihilationAtRest")
-      : G4VRestProcess (processName) {}
+      : G4VRestProcess (processName, fHadronic) 
+     {
+       SetProcessSubType(fHadronAtRest);
+     }
  
     ~G4ProtonAntiProtonAtRestChips() {}
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuANuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuANuNuclearCrossSection.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuANuNuclearCrossSection.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuANuNuclearCrossSection.hh,v 1.1 2007/11/01 16:09:38 mkossov Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuENuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuENuclearCrossSection.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuENuclearCrossSection.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuENuclearCrossSection.hh,v 1.1 2007/10/02 10:00:37 mkossov Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuMuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuMuNuclearCrossSection.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QANuMuNuclearCrossSection.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuMuNuclearCrossSection.hh,v 1.6 2006/12/01 10:57:46 mkossov Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QAtomicElectronScattering.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QAtomicElectronScattering.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QAtomicElectronScattering.hh	(revision 962)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QAtomicElectronScattering.hh,v 1.2 2006/12/13 15:45:16 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QAtomicElectronScattering header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCaptureAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCaptureAtRest.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCaptureAtRest.hh	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QCaptureAtRest.hh,v 1.3 2007/02/09 09:33:28 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QCaptureAtRest.hh,v 1.6 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QCaptureAtRest header ----------------
@@ -94,4 +94,5 @@
 #include "G4ThreeVector.hh"
 #include "G4LorentzVector.hh"
+#include "G4HadronicProcessType.hh"
 
 // CHIPS Headers
@@ -118,7 +119,11 @@
 
   // Destructor
-  ~G4QCaptureAtRest();
+  virtual ~G4QCaptureAtRest();
 
-  G4bool IsApplicable(const G4ParticleDefinition& particle);
+  virtual G4bool IsApplicable(const G4ParticleDefinition& particle);
+
+  virtual void PreparePhysicsTable(const G4ParticleDefinition&);
+
+  virtual void BuildPhysicsTable(const G4ParticleDefinition&);
 
   G4VParticleChange* AtRestDoIt(const G4Track& aTrack, const G4Step& aStep); 
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCoherentChargeExchange.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCoherentChargeExchange.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCoherentChargeExchange.hh	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QCoherentChargeExchange.hh,v 1.4 2007/08/09 13:04:37 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QCoherentChargeExchange.hh,v 1.5 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QCoherentChargeExchange header ----------------
@@ -56,4 +56,5 @@
 #include "G4ThreeVector.hh"
 #include "G4LorentzVector.hh"
+#include "G4HadronicProcessType.hh"
 
 // CHIPS Headers
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCollision.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCollision.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QCollision.hh	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QCollision.hh,v 1.10 2007/11/01 16:09:38 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QCollision.hh,v 1.11 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QCollision header ----------------
@@ -85,4 +85,5 @@
 #include "G4ThreeVector.hh"
 #include "G4LorentzVector.hh"
+#include "G4HadronicProcessType.hh"
 
 // CHIPS Headers
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiffraction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiffraction.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiffraction.hh	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QDiffraction.hh,v 1.1 2007/08/23 15:58:43 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QDiffraction.hh,v 1.2 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QDiffraction header ----------------
@@ -54,4 +54,5 @@
 #include "G4ThreeVector.hh"
 #include "G4LorentzVector.hh"
+#include "G4HadronicProcessType.hh"
 
 // CHIPS Headers
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiffractionRatio.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiffractionRatio.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiffractionRatio.hh	(revision 962)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiscProcessMixer.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiscProcessMixer.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiscProcessMixer.hh	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QDiscProcessMixer.hh,v 1.2 2007/08/31 09:36:57 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QDiscProcessMixer.hh,v 1.3 2008/07/09 19:45:09 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QDiscProcessMixer header ----------------
@@ -67,5 +67,5 @@
   G4QDiscProcessMixer(const G4String& processName = "Mixed Discrete Process",
                       const G4ParticleDefinition* proj = G4Gamma::Gamma(),
-                      G4ProcessType pType = fNotDefined );
+                      G4ProcessType pType = fHadronic );
 
   // Destructor
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiscreteProcessVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiscreteProcessVector.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QDiscreteProcessVector.hh	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDiscreteProcessVector.hh,v 1.1 2007/08/28 15:48:15 mkossov Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QDiscreteProcessVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElastic.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElastic.hh	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QElastic.hh,v 1.3 2007/05/23 15:14:25 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QElastic.hh,v 1.4 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QElastic header ----------------
@@ -56,4 +56,5 @@
 #include "G4ThreeVector.hh"
 #include "G4LorentzVector.hh"
+#include "G4HadronicProcessType.hh"
 
 // CHIPS Headers
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElasticCrossSection.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElasticCrossSection.hh	(revision 962)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElectronNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElectronNuclearCrossSection.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QElectronNuclearCrossSection.hh	(revision 962)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
@@ -41,5 +41,4 @@
 #include "G4ParticleTable.hh"
 #include "G4NucleiProperties.hh"
-#include "G4NucleiPropertiesTable.hh"
 #include <vector>
 #include "Randomize.hh"
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QGluonString.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QGluonString.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QGluonString.hh	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QGluonString.hh,v 1.1 2006/10/30 10:33:38 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QGluonString.hh,v 1.2 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QGluonString header ----------------
@@ -62,4 +62,5 @@
 #include "G4ThreeVector.hh"
 #include "G4LorentzVector.hh"
+#include "G4HadronicProcessType.hh"
 
 // CHIPS Headers
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QIonIonCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QIonIonCrossSection.hh	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QIonIonCrossSection.hh	(revision 962)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
